gglnltcs_version_check

The BestWebSoft Google Analytics gglnltcs version check function.

Description

gglnltcs_version_check(); 

Usage

  1. if ( !function_exists( 'gglnltcs_version_check' ) ) { 
  2. require_once ABSPATH . PLUGINDIR . 'bestwebsoft-google-analytics/bws-google-analytics.php'; 
  3.  
  4.  
  5. // NOTICE! Understand what this does before running. 
  6. $result = gglnltcs_version_check(); 
  7.  

Defined (1)

The function is defined in the following location(s).

/bws-google-analytics.php  
  1. function gglnltcs_version_check() { 
  2. global $wp_version, $gglnltcs_plugin_info; 
  3. $require_wp = "3.3"; /** Wordpress at least requires version */ 
  4. $plugin = plugin_basename( __FILE__ ); 
  5. if ( version_compare( $wp_version, $require_wp, "<" ) ) { 
  6. include_once( ABSPATH . 'wp-admin/includes/plugin.php' ); 
  7. if ( is_plugin_active( $plugin ) ) { 
  8. deactivate_plugins( $plugin ); 
  9. $admin_url = ( function_exists( 'get_admin_url' ) ) ? get_admin_url( null, 'plugins.php' ) : esc_url( '/wp-admin/plugins.php' ); 
  10. if ( ! $gglnltcs_plugin_info ) 
  11. $gglnltcs_plugin_info = get_plugin_data( __FILE__, false ); 
  12. wp_die( "<strong>" . $gglnltcs_plugin_info['Name'] . " </strong> " . __( 'requires', 'gglnltcs' ) . " <strong>WordPress " . $require_wp . "</strong> " . __( 'or higher, that is why it has been deactivated! Please upgrade WordPress and try again.', 'gglnltcs') . "<br /><br />" . __( 'Back to the WordPress', 'gglnltcs') . " <a href='" . $admin_url . "'>" . __( 'Plugins page', 'gglnltcs') . "</a>." );